import { FieldWithCondition, CalculatedField } from '@digigov/form/Field/types';

export function evaluateFieldWithConditions(
  field: FieldWithCondition,
  variables: FormData
): CalculatedField {
  const newField = { ...field };
  if (variables) {
    for (const key in variables) {
      if (field.condition[key] && field.condition[key].is) {
        const is = field.condition[key].is;
        if (
          is === variables[key] ||
          (Array.isArray(variables[key]) && variables[key].includes(is))
        ) {
          const then = field.condition[key].then || {};
          for (const attr in then) {
            newField[attr] = then[attr];
          }
        }
      } else if (field.condition[key]) {
        const otherwise = field.condition[key].else || {};
        for (const attr in otherwise) {
          newField[attr] = otherwise[attr];
        }
      }
    }
  }
  return newField;
}
