import { FieldComponentRegistry } from '@digigov/form/Field/types';
import AutoCompleteInput from '@digigov/form/inputs/AutoCompleteInput';
import Checkboxes from '@digigov/form/inputs/Checkboxes';
import DateInput from '@digigov/form/inputs/DateInput';
import FileInput from '@digigov/form/inputs/FileInput';
import ImageInput from '@digigov/form/inputs/ImageInput';
import Input from '@digigov/form/inputs/Input';
import OtpInput from '@digigov/form/inputs/OtpInput';
import Radio, { ControlledRadioButtonsGroup } from '@digigov/form/inputs/Radio';
import Select from '@digigov/form/inputs/Select';

export const FIELD_COMPONENTS: FieldComponentRegistry = {
  text: {
    component: Input,
  },
  string: {
    component: Input,
  },
  file: {
    wrapper: 'fieldset',
    component: FileInput,
  },
  image: {
    wrapper: 'fieldset',
    component: ImageInput,
  },
  date: {
    wrapper: 'fieldset',
    controlled: true,
    component: DateInput,
  },
  otp: {
    wrapper: 'fieldset',
    controlled: true,
    component: OtpInput,
  },
  'choice:multiple': {
    wrapper: 'fieldset',
    controlled: true,
    component: Checkboxes,
  },
  'choice:single': {
    wrapper: 'fieldset',
    controlled: false,
    component: Radio,
  },
};

export const ALTERNATIVE_COMPONENTS: FieldComponentRegistry = {
  Select: {
    component: Select,
    controlled: false,
  },
  AutoComplete: {
    component: AutoCompleteInput,
    controlled: true,
    wrapper: 'fieldset',
  },
};

export const CONTROLLED_FIELD_COMPONENTS: FieldComponentRegistry = {
  ...FIELD_COMPONENTS,
  'choice:single': {
    wrapper: 'fieldset',
    controlled: true,
    component: ControlledRadioButtonsGroup,
  },
  text: {
    component: Input,
    controlled: true,
  },
  string: {
    component: Input,
    controlled: true,
  },
};
