import React from 'react';
import {
  FieldsetLabelProps,
  FieldsetCaptionProps,
  FieldsetBodyProps,
} from '@digigov/form/Fieldset/types';
import { Fieldset } from '@digigov/react-core/Fieldset';
import { FieldsetLegend } from '@digigov/ui/form/FieldContainer';
import { Grid } from '@digigov/ui/layouts/Grid';
import { Hint } from '@digigov/ui/typography/Hint';
import { NormalText } from '@digigov/ui/typography/NormalText';

export const FieldsetLabel: React.FC<FieldsetLabelProps> = ({
  children,
  ...props
}) => {
  return (
    <FieldsetLegend heading size="xl" {...props}>
      {children}
    </FieldsetLegend>
  );
};

export const FieldsetCaption: React.FC<FieldsetCaptionProps> = ({
  children,
  ...props
}) => {
  return <Hint {...props}>{children}</Hint>;
};

export const FieldsetBody: React.FC<FieldsetBodyProps> = ({ children }) => {
  return (
    <Grid item xs={12}>
      <NormalText>{children}</NormalText>
    </Grid>
  );
};

export { Fieldset };
export default Fieldset;
