import React from 'react';
import FormBuilder, { FieldSpec } from '@digigov/form';

const FIELDS: FieldSpec[] = [
  {
    key: 'name',
    type: 'string',
    required: true,
    layout: { xl: 4, lg: 4, md: 6, xs: 6 },
    label: {
      primary: 'Όνομα',
    },
  },
  {
    key: 'surname',
    type: 'string',
    required: true,
    layout: { xl: 4, lg: 4, md: 6, xs: 6 },
    label: {
      primary: 'Επίθετο',
    },
  },
  {
    key: 'address',
    type: 'string',
    required: true,
    layout: { xl: 4, lg: 2, md: 6, xs: 6 },
    label: {
      primary: 'Διεύθυνση',
    },
  },
  {
    key: 'town',
    type: 'string',
    required: true,
    layout: { xl: 4, lg: 4, md: 6, xs: 6 },
    label: {
      primary: 'Πόλη',
    },
  },
  {
    key: 'country',
    type: 'string',
    required: true,
    layout: { xs: 12 },
    label: {
      primary: 'Χώρα',
    },
  },
];

export const AutoErrorGrouping = () => (
  <FormBuilder
    grid={true}
    auto={true}
    onSubmit={(data) => {
      console.log(data);
    }}
    fields={FIELDS}
  ></FormBuilder>
);

export default AutoErrorGrouping;
