import React from 'react';
import FormBuilder, { Field } from '@digigov/form';
import { ErrorGroup } from '@digigov/form/Field/ErrorGroup';
import { Button } from '@digigov/ui/form/Button';

export const ErrorGrouping = () => (
  <FormBuilder
    grid={true}
    onSubmit={(data) => {
      console.log(data);
    }}
  >
    <ErrorGroup>
      <Field
        key="name"
        name="name"
        type="string"
        label={{ primary: 'Όνομα' }}
        layout={{ xs: 4 }}
        required
      />
      <Field
        key="surname"
        name="surname"
        type="string"
        label={{ primary: 'Επίθετο' }}
        layout={{ xs: 4 }}
        required
      />
      <Field
        key="address"
        name="address"
        type="string"
        label={{ primary: 'Διεύθυνση' }}
        layout={{ xs: 4 }}
        required
      />
    </ErrorGroup>
    <Button type="submit">Συνέχεια</Button>
  </FormBuilder>
);

export default ErrorGrouping;
