import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant';
import { AutoErrorGrouping } from '@digigov/form/FormBuilder/__stories__/AutoErrorGrouping';
import { Default } from '@digigov/form/FormBuilder/__stories__/Default';
import { ErrorGrouping } from '@digigov/form/FormBuilder/__stories__/ErrorGrouping';

test('renders the All FormBuilder variants', async ({ mount, page }) => {
  await mount(
    <div>
      <TestVariant title="AutoErrorGrouping">
        <AutoErrorGrouping />
      </TestVariant>
      <TestVariant title="Default">
        <Default />
      </TestVariant>
      <TestVariant title="ErrorGrouping">
        <ErrorGrouping />
      </TestVariant>
    </div>
  );
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
