import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';

import { AutoErrorGrouping } from '@digigov/form/FormBuilder/__stories__/AutoErrorGrouping';
import { ErrorGrouping } from '@digigov/form/FormBuilder/__stories__/ErrorGrouping';

test('renders the ErrorGrouping and click submit', async ({ mount, page }) => {
  await mount(<ErrorGrouping />);
  await page.evaluate(() => document.fonts.ready);
  await page.click('text="Συνέχεια"');

  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});

test('renders the AutoErrorGrouping and click submit', async ({
  mount,
  page,
}) => {
  await mount(<AutoErrorGrouping />);
  await page.evaluate(() => document.fonts.ready);
  await page.click('text="Συνέχεια"');

  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
