import React from 'react';
import {
  Header,
  HeaderSection,
  HeaderContent,
  HeaderTitle,
  HeadingCaption,
  Heading,
  Paragraph,
  Card,
  CardHeading,
  CardContent,
  List,
  ListItem,
} from '@digigov/ui';
import SummaryList, {
  SummaryListItem,
  SummaryListItemKey,
  SummaryListItemValue,
} from '@digigov/ui/content/SummaryList';
import GovGRFooter from '@digigov/ui/govgr/Footer';
import GovGRLogo from '@digigov/ui/govgr/GovGRLogo';
import Layout, { Container, Main } from '@digigov/ui/layouts/Basic/';

const fields = [
  {
    name: 'Όνομα',
    value: 'ΜΑΡΙΟΣ',
  },
  {
    name: 'Επώνυμο',
    value: 'ΜΕΝΕΞΕΣ',
  },
  {
    name: 'Όνομα Πατέρα',
    value: 'ΝΙΚΟΣ',
  },
  {
    name: 'Όνομα Μητέρα',
    value: 'ΜΑΡΙΑ',
  },
  {
    name: 'Α.Φ.Μ',
    value: '12030454',
  },
  {
    name: 'Τηλέφωνο',
    value: '6984386756',
  },
  {
    name: 'Ημερομηνία Γέννησης',
    value: '22/03/78',
  },
  {
    name: 'Α.Δ.Τ',
    value: 'Ψ456789',
  },
  {
    name: 'Τύπος A.Δ.Τ',
    value: 'ΚΑΡΤΑ',
  },
];

export const PreviewDisplay = () => (
  <Layout>
    <Header>
      <HeaderContent>
        <HeaderSection>
          <GovGRLogo href="#" />
          <HeaderTitle>Πρότυπο-Αναφοράς</HeaderTitle>
        </HeaderSection>
      </HeaderContent>
    </Header>
    <Container>
      <Main>
        <HeadingCaption>Ψηφιακή βεβαίωση ιδιωτικού συμφωνητικού</HeadingCaption>
        <Heading>Προεπισκόπηση</Heading>
        <Paragraph>
          <Paragraph>
            Παρακάτω εμφανίζονται οι συνυπογράφοντες του ιδιωτικού συμφωνητικού
          </Paragraph>
        </Paragraph>
        <Card variant="border" borderColor="dark">
          <CardHeading>Συνυπογράφοντας 1</CardHeading>
          <CardContent>
            <SummaryList noLastBorder marginBottom={0}>
              {fields &&
                fields.map((field, index) => {
                  return (
                    <SummaryListItem key={index}>
                      <SummaryListItemKey>{field.name}</SummaryListItemKey>
                      <SummaryListItemValue>{field.value}</SummaryListItemValue>
                    </SummaryListItem>
                  );
                })}
            </SummaryList>
          </CardContent>
        </Card>
        <Card variant="border" borderColor="dark">
          <CardHeading>Συνυπογράφοντας 2</CardHeading>
          <CardContent>
            <SummaryList noLastBorder marginBottom={0}>
              {fields &&
                fields.map((field, index) => {
                  return (
                    <SummaryListItem key={index}>
                      <SummaryListItemKey>{field.name}</SummaryListItemKey>
                      <SummaryListItemValue>{field.value}</SummaryListItemValue>
                    </SummaryListItem>
                  );
                })}
            </SummaryList>
          </CardContent>
        </Card>
        <Card variant="border" borderColor="dark">
          <CardHeading>Συνυπογράφοντας 3</CardHeading>
          <CardContent>
            <SummaryList>
              <SummaryListItem>
                <SummaryListItemKey>Όνομα</SummaryListItemKey>
                <SummaryListItemValue>Μάριος</SummaryListItemValue>
              </SummaryListItem>
            </SummaryList>
          </CardContent>
        </Card>
        Contentw
        <Heading size="md">Στοιχεία Δήλωσης</Heading>
        <SummaryList>
          <SummaryListItem>
            <SummaryListItemKey>Όνομα</SummaryListItemKey>
            <SummaryListItemValue>ΜΑΡΙΟΣ</SummaryListItemValue>
          </SummaryListItem>
          <SummaryListItem>
            <SummaryListItemKey>Επώνυμο</SummaryListItemKey>
            <SummaryListItemValue>ΜΕΝΕΞΕΣ</SummaryListItemValue>
          </SummaryListItem>
          <SummaryListItem>
            <SummaryListItemKey>Ημερομηνία Γέννησης</SummaryListItemKey>
            <SummaryListItemValue>15/12/1988</SummaryListItemValue>
          </SummaryListItem>
          <SummaryListItem>
            <SummaryListItemKey>Σχολεία</SummaryListItemKey>
            <SummaryListItemValue>
              <List marginBottom={0} marginTop={0} listStyle="bullet">
                <ListItem>2o ΗΜΕΡΗΣΙΟ ΓΕΝΙΚΟ ΛΥΚΕΙΟ ΞΑΝΘΗΣ</ListItem>
                <ListItem>2o ΗΜΕΡΗΣΙΟ ΓΕΝΙΚΟ ΛΥΚΕΙΟ ΞΑΝΘΗΣ</ListItem>
                <ListItem>2o ΗΜΕΡΗΣΙΟ ΓΕΝΙΚΟ ΛΥΚΕΙΟ ΞΑΝΘΗΣ</ListItem>
                <ListItem>15o ΗΜΕΡΗΣΙΟ ΓΕΝΙΚΟ ΓΥΜΝΑΣΙΟ ΑΘΗΝΩΝ</ListItem>
              </List>
            </SummaryListItemValue>
          </SummaryListItem>
          <SummaryListItem>
            <SummaryListItemKey>Όνομα</SummaryListItemKey>
            <SummaryListItemValue>Μάριος</SummaryListItemValue>
          </SummaryListItem>
        </SummaryList>
      </Main>
    </Container>
    <GovGRFooter></GovGRFooter>
  </Layout>
);
