import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/form/MultiplicityField/__stories__/Default';
import { PreviewDisplay } from '@digigov/form/MultiplicityField/__stories__/PreviewDisplay';
import { WithExactLength } from '@digigov/form/MultiplicityField/__stories__/WithExactLength';
import { WithMaxLength } from '@digigov/form/MultiplicityField/__stories__/WithMaxLength';
import { WithMinAndMaxLength } from '@digigov/form/MultiplicityField/__stories__/WithMinAndMaxLength';
import { WithMinLength } from '@digigov/form/MultiplicityField/__stories__/WithMinLength';

test('renders the All MultiplicityField variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="PreviewDisplay">
      <PreviewDisplay />
    </TestVariant>
    <TestVariant title="WithExactLength">
      <WithExactLength />
    </TestVariant>
    <TestVariant title="WithMaxLength">
      <WithMaxLength />
    </TestVariant>
    <TestVariant title="WithMinAndMaxLength">
      <WithMinAndMaxLength />
    </TestVariant>
    <TestVariant title="WithMinLength">
      <WithMinLength />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
