import { ErrorOption, UseFormReturn } from 'react-hook-form';
import { FieldSpec, ControlledFieldProps } from '@digigov/form/Field/types';

export interface MultiplicityProps
  extends Omit<ControlledFieldProps, 'value' | 'onChange' | 'error' | 'extra'> {
  name: string;
  control: UseFormReturn['control'];
  register: UseFormReturn['register'];
  trigger: UseFormReturn['trigger'];
  clearErrors: UseFormReturn['clearErrors'];
  formState: UseFormReturn['formState'];
  setValue: UseFormReturn['setValue'];
  getValues: UseFormReturn['getValues'];
  unregister: UseFormReturn['unregister'];
  error?: ErrorOption;
  extra?: Record<string, any>;
  label?: FieldSpec['label'];
  layout?: FieldSpec['layout'];
}

export type StashedObject = Record<string, any>;
