import { LabelProps } from '@digigov/form/inputs/Label';

export type StepType = 'object' | 'array';
export type StepReviewAnswersType = 'positive' | 'negative';
export interface StepAddMoreInterface {
  title: LabelProps;
  answers: Record<StepReviewAnswersType, LabelProps>;
}
export interface StepReviewInterface {
  primaryFieldKey: string;
  title: string;
  caption?: string;
  addMore: StepAddMoreInterface;
}
export interface StepInterface {
  name: string;
  title?: string;
  description?: string;
  caption?: string;
  backButton?: string;
  step?: string;
  fields?: any;
  initial?: any;
  errorLabels?: any;
  submitStep?: any;
  review?: StepReviewInterface;
  type?: StepType;
  children?: React.ReactNode;
}
export interface StepArrayReviewInterface {
  array: Record<string, any>[];
  handleSubmit: (data: any) => void;
  handleDelete: (data: any) => void;
}
