import { StepInterface } from '@digigov/form/Questions/Step/types';

export function getNextStep(
  currentStep: any,
  steps: any[],
  data: any
): StepInterface | null {
  if (currentStep.nextStep) {
    const nextStepName = currentStep.nextStep(data);
    if (nextStepName) {
      return steps.find((step) => step.name === nextStepName);
    }
  }
  const currentStepIndex = steps.findIndex(
    (step) => step.name === currentStep.name
  );
  const nextStep = steps.slice(currentStepIndex + 1).find((step) => {
    if (step.show) {
      return step.show(data);
    }
    return true;
  });
  return nextStep;
}
