import { StepInterface } from '@digigov/form/Questions/Step/types';

export interface QuestionsInterface {
  name: string;
  steps: StepInterface[];
  onSubmit: (...args) => void;
  onChange?: (...args) => void;
  onActiveStep?: (...args) => void;
  /* `forceQuestionName` should be used by an app developer
   * to force Questions to render a specified question by name */
  forceStepName?: string;
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  initialData?: any;
  localDraft?: boolean;
  errorLabels?: Record<string, string>;
  children?: React.ReactNode;
}

export interface QuestionsContextInterface {
  currentStep: StepInterface;
  steps: StepInterface[];
  submitStep: (...args) => void;
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  data?: any;
  onActiveStep?: (...args) => void;
}
