import React from 'react';
import { Field } from '@digigov/form/Field';
import FormBuilder from '@digigov/form/FormBuilder';
import { FieldSpec } from '@digigov/form/types';
import Button from '@digigov/ui/form/Button';

const results = ['Αμερική', 'Ασία', 'Αυστραλία', 'Αφρική', 'Ευρώπη'];

const fields: FieldSpec[] = [
  {
    key: 'autocomplete',
    label: { primary: 'Επιλέξτε ήπειρο' },
    required: true,
    type: 'choice:single',
    extra: {
      component: 'AutoComplete',
      options: results.map((r) => {
        return {
          label: {
            primary: r,
            secondary: `'Ηπειρος: ${r}`,
          },
          value: r.toLowerCase(),
        };
      }),
    },
  },
];

const initialValues = {};

export const Default = () => (
  <FormBuilder
    fields={fields}
    onSubmit={(data) => {
      console.log(data);
    }}
    initial={initialValues}
  >
    {fields.map((field) => (
      <Field key={field.key} name={field.key} />
    ))}
    <Button type="submit">Submit</Button>
  </FormBuilder>
);
export default Default;
