import React from 'react';
import FormBuilder, { Field } from '@digigov/form';
import { Button } from '@digigov/ui/form/Button';

export const WithDivider = () => (
  <FormBuilder
    onSubmit={(data) => {
      console.log(data);
    }}
  >
    <Field
      key={'string'}
      name="string"
      type="choice:multiple"
      required
      label={{ primary: 'Πώς αισθάνεστε αυτή τη στιγμή;' }}
      extra={{
        options: [
          {
            label: { primary: 'Έχω συνάχι' },
            value: 'runny-nose',
          },
          {
            label: { primary: 'Έχω πυρετό' },
            value: 'fever',
          },
          {
            label: { primary: 'Αισθάνομαι κούραση' },
            value: 'fatigue',
            dividerText: 'ή',
          },
        ],
      }}
    />
    <Button type="submit">Συνέχεια</Button>
  </FormBuilder>
);

export default WithDivider;
