import React from 'react';
import FormBuilder, { Field } from '@digigov/form';
import { Button } from '@digigov/ui/form/Button';

const fields = [
  {
    key: 'date-example',
    type: 'date',
    required: true,
    label: {
      primary: 'Πότε εκδόθηκε το διαβατήριο σας;',
      secondary: 'Για παράδειγμα, 05 11 2020',
    },
  } as const,
];

export const Default = () => (
  <FormBuilder onSubmit={() => console.log('kati')}>
    {fields.map(({ key, ...field }) => {
      return <Field {...field} name={key} key={key} />;
    })}
    <Button type="submit">Συνέχεια</Button>
  </FormBuilder>
);
export default Default;
