import React from 'react';
import FormBuilder, { Field, Fieldset } from '@digigov/form';
import { FieldSpec } from '@digigov/form/types';
import { Button } from '@digigov/ui/form/Button';
const FIELDS: FieldSpec[] = [
  {
    key: 'image',
    type: 'image',
    required: true,
    label: {
      primary: 'Ανέβασμα φωτογραφίας',
    },
    extra: {
      limit: {
        maxSize: 300,
      },
    },
  },
];

export const WithInvalidImageSize = () => (
  <FormBuilder
    fields={FIELDS}
    onSubmit={(data) => {
      console.log(data);
    }}
  >
    <Fieldset>
      {FIELDS.map((field) => (
        <Field key={field.key} name={field.key} />
      ))}
    </Fieldset>
    <Button type="submit">Συνέχεια</Button>
  </FormBuilder>
);
export default WithInvalidImageSize;
