import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/form/inputs/ImageInput/__stories__/Default';
import { MaxSize } from '@digigov/form/inputs/ImageInput/__stories__/MaxSize';
import { WithInvalidImageDimension } from '@digigov/form/inputs/ImageInput/__stories__/WithInvalidImageDimension';
import { WithInvalidImageSize } from '@digigov/form/inputs/ImageInput/__stories__/WithInvalidImageSize';

test('renders the All ImageInput variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="MaxSize">
      <MaxSize />
    </TestVariant>
    <TestVariant title="WithInvalidImageDimension">
      <WithInvalidImageDimension />
    </TestVariant>
    <TestVariant title="WithInvalidImageSize">
      <WithInvalidImageSize />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
