import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { AFM } from '@digigov/form/inputs/Input/__stories__/AFM';
import { Boolean } from '@digigov/form/inputs/Input/__stories__/Boolean';
import { IBAN } from '@digigov/form/inputs/Input/__stories__/IBAN';
import { Integer } from '@digigov/form/inputs/Input/__stories__/Integer';
import { LandlineNumber } from '@digigov/form/inputs/Input/__stories__/LandlineNumber';
import { MobilePhone } from '@digigov/form/inputs/Input/__stories__/MobilePhone';
import { PhoneNumber } from '@digigov/form/inputs/Input/__stories__/PhoneNumber';
import { PostalCode } from '@digigov/form/inputs/Input/__stories__/PostalCode';
import { String } from '@digigov/form/inputs/Input/__stories__/String';
import { StringWithTrimValidation } from '@digigov/form/inputs/Input/__stories__/StringWithTrimValidation';
import { TextWithLimit } from '@digigov/form/inputs/Input/__stories__/TextWithLimit';

test('renders the All Input variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="AFM">
      <AFM />
    </TestVariant>
    <TestVariant title="Boolean">
      <Boolean />
    </TestVariant>
    <TestVariant title="IBAN">
      <IBAN />
    </TestVariant>
    <TestVariant title="Integer">
      <Integer />
    </TestVariant>
    <TestVariant title="LandlineNumber">
      <LandlineNumber />
    </TestVariant>
    <TestVariant title="MobilePhone">
      <MobilePhone />
    </TestVariant>
    <TestVariant title="PhoneNumber">
      <PhoneNumber />
    </TestVariant>
    <TestVariant title="PostalCode">
      <PostalCode />
    </TestVariant>
    <TestVariant title="String">
      <String />
    </TestVariant>
    <TestVariant title="StringWithTrimValidation">
      <StringWithTrimValidation />
    </TestVariant>
    <TestVariant title="TextWithLimit">
      <TextWithLimit />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
