import React from 'react';
import FormBuilder, { Field, Fieldset } from '@digigov/form';
import { FieldSpec } from '@digigov/form/types';
import { Button } from '@digigov/ui/form/Button';
const FIELDS: FieldSpec[] = [
  {
    key: 'otp',
    type: 'otp',
    maxLength: 6,
    required: true,
    label: {
      primary: 'Κωδικός Επιβεβαίωσης',
    },
  },
];

export const Default = () => (
  <FormBuilder
    fields={FIELDS}
    onSubmit={(data) => {
      console.log(data);
    }}
  >
    <Fieldset>
      {FIELDS.map((field) => (
        <Field key={field.key} name={field.key} />
      ))}
    </Fieldset>
    <Button type="submit">Συνέχεια</Button>
  </FormBuilder>
);
export default Default;
