import React from 'react';
import FormBuilder, { Field } from '@digigov/form';
import { Button } from '@digigov/ui/form/Button';

export const Default = () => (
  <FormBuilder
    onSubmit={(data) => {
      console.log(data);
    }}
  >
    <Field
      key={'string'}
      name="string"
      type="choice:single"
      required
      label={{ primary: 'Ποιά είναι η χώρα της διαμονής σας;' }}
      extra={{
        options: [
          {
            label: { primary: 'Ελλάδα' },
            value: 'greece',
          },
          {
            label: { primary: 'Κύπρος' },
            value: 'cyprus',
          },
          {
            label: { primary: 'Χώρα της Ευρωπαϊκής Ένωσης' },
            value: 'eu',
          },
          {
            label: { primary: 'Ηνωμένες Πολιτείες της Αμερικής' },
            value: 'usa',
          },
        ],
      }}
    />
    <Button type="submit">Συνέχεια</Button>
  </FormBuilder>
);
export default Default;
