import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Conditional } from '@digigov/form/inputs/Radio/__stories__/Conditional';
import { Default } from '@digigov/form/inputs/Radio/__stories__/Default';
import { WithDivider } from '@digigov/form/inputs/Radio/__stories__/WithDivider';

test('renders the All Radio variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Conditional">
      <Conditional />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="WithDivider">
      <WithDivider />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
