import { ValidatorSchema } from '@digigov/form/validators/types';

export function validateIntNumber(number: number): boolean {
  if (number === undefined) {
    return false;
  } else {
    return Number.isInteger(number) && Number(number) > 0;
  }
}

export const INT_VALIDATOR = (): ValidatorSchema => {
  return {
    name: 'int-validator',
    message: 'form.error.positive_integer_number',
    test: (value: number): boolean => {
      if (value === undefined) {
        return true;
      }
      return validateIntNumber(value);
    },
  };
};
