import { ValidatorSchema } from '@digigov/form/validators/types';

export function validateNumber(number: number): boolean {
  return !Number.isNaN(number);
}

export const NUMBER_VALIDATOR = (): ValidatorSchema => {
  return {
    name: 'number-validator',
    message: 'form.error.number',
    test: (value: number): boolean => {
      if (value === undefined) {
        return true;
      }
      return validateNumber(value);
    },
  };
};
