import { FieldSpec } from '@digigov/form/types';
import { ValidatorSchema } from '@digigov/form/validators/types';
export function validateOtp(value: string, maxLength: number): boolean {
  if (value.length === maxLength) {
    return true;
  } else {
    return false;
  }
}

export const OTP_VALIDATOR = (field: FieldSpec): ValidatorSchema => {
  const maxLength = field?.maxLength;
  return {
    name: 'otp-validator',
    message: {
      key: 'form.error.otp.less_than',
      context: {
        maxLength: field?.maxLength,
      },
    },
    test: (value: string): boolean => {
      if (!value) {
        return true;
      }
      return validateOtp(value, maxLength as number);
    },
  };
};
