const UUID4_PATTERN =
  /^[0-9A-F]{8}-[0-9A-F]{4}-[4][0-9A-F]{3}-[89AB][0-9A-F]{3}-[0-9A-F]{12}$/i;

export function validateUUID4(uuid4: string): boolean {
  if (uuid4.length !== 36) {
    // This uuid4 should be 36 characters long
    return false;
  }

  return UUID4_PATTERN.test(uuid4);
}

export const UUID4_VALIDATOR = {
  name: 'uuid4-validator',
  message: 'form.error.uuid4',
  test: (value): boolean => {
    if (value) {
      return validateUUID4(value);
    }
    return true;
  },
};
